Bug 746279 - RFE: more options for StartLimitAction (to start/isolate a unit)
RFE: more options for StartLimitAction (to start/isolate a unit)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: systemd-RFE
  Show dependency treegraph
 
Reported: 2011-10-14 11:43 EDT by Simo Sorce
Modified: 2013-12-08 20:37 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-08 20:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2011-10-14 11:43:42 EDT
If X is removed from the system, after boot is finished you get a balnk screen with a cursor blinking and no indication everything is fine.

You can switch to a text console with the usual ctrl+alt+ combinations but the system should either show you a shell or at least give some message that says boot is completed and how to switch to one of the terminals.

A complete blank screen seem wrong.

(note: happens after an upgrade from f15, haven't tried on a clean install)
Comment 1 Simo Sorce 2011-10-14 11:44:40 EDT
By 'shell' I actually meant a login prompt, sorry.
Comment 2 Fedora Admin XMLRPC Client 2011-10-20 12:31:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Michal Schmidt 2011-10-25 05:33:58 EDT
What does "systemctl status prefdm.service" say in this situation?
If the service is running, from systemd's point of view everything is fine.
Comment 4 Jóhann B. Guðmundsson 2012-01-29 09:26:28 EST
Is this still an issue or can this bug be closed?
Comment 5 Simo Sorce 2012-02-10 18:36:57 EST
just tried after updating a f16 machine to f17, still happening.

Ah and "systemctl status prefdm.service" says 'failed'
Comment 6 Michal Schmidt 2012-02-10 19:57:56 EST
prefdm.service has:
  Restart=always
  RestartSec=0
so when it fails, systemd will respawn it. The service will quickly fail again. This repeats until the burst limit is reached. Then systemd will refuse to start the unit again and the unit stays in the failed state.

At that time you'd probably want systemd to start getty@tty1.service (or perhaps do a switch to multi-user.target, or even a dedicated troubleshooting target). OnFailure= won't work here because that would trigger already when prefdm died the first time. StartLimitAction= triggers at the right event, but it is limited to rebooting (it was designed for watchdog purposes). The solution might be to make StartLimitAction more generic.
Comment 7 Fedora End Of Life 2013-01-16 12:41:42 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Zbigniew Jędrzejewski-Szmek 2013-12-08 20:37:06 EST
Done in http://cgit.freedesktop.org/systemd/systemd/commit/?id=d420282b2 'core: replace OnFailureIsolate= setting by a more generic OnFailureJobMode= setting'. Since this is new functionality, it'll go in with systemd-209.

Note You need to log in before you can comment on or make changes to this bug.